
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef rmp440_POSTER_XML_LIB_H
#define rmp440_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "rmp440PrintXML.h"
#include "rmp440PosterLib.h"

/* Prototypes */
void webrmp440(FILE *f, int argc, char **argv, char **argn);
extern STATUS rmp440CntrlPosterXML (FILE *f);
extern STATUS rmp440CntrlPosterActivityXML (FILE *f);
extern STATUS rmp440MEPosPosterXML (FILE *f);
extern STATUS rmp440MEPosmePosPosterXML (FILE *f);
extern STATUS rmp440OdoPosterXML (FILE *f);
extern STATUS rmp440OdoRobotPosterXML (FILE *f);
extern STATUS rmp440OdoVarPosterXML (FILE *f);
extern STATUS rmp440OdoRobot3dPosterXML (FILE *f);
extern STATUS rmp440RefPosterXML (FILE *f);
extern STATUS rmp440RefrefPosterXML (FILE *f);
extern STATUS rmp440StatusPosterXML (FILE *f);
extern STATUS rmp440StatusstatusPosterXML (FILE *f);
extern STATUS rmp440StatusGenericPosterXML (FILE *f);
extern STATUS rmp440StatusGenericstatusgenPosterXML (FILE *f);
#endif /* RMP440_POSTER_XML_LIB_H */

